
//#pragma interrupt INTWDTI r_wdt_interrupt
//#pragma interrupt INTTM04 r_tau0_channel4_interrupt
//#pragma interrupt INTCANGERR  RSCAN_INTCANGERR_interrupt
//#pragma interrupt INTCANGRFR RSCAN_INTCANGRECC_interrupt
//#pragma interrupt INTCAN0ERR  RSCAN_INTCAN0ERR_interrupt
//#pragma interrupt INTCAN0CFR  RSCAN_INTCAN0REC_interrupt 
//#pragma interrupt INTCAN0TRM  RSCAN_INTCAN0TRX_interrupt



#pragma interrupt INTSRO        	VECTOR_TABLE_04H	   //(vect = 0x04 )
//                  INTWDTI                                  //
#pragma interrupt INTLVI        	VECTOR_TABLE_06H	   //(vect = 0x06 )
#pragma interrupt INTP0         	VECTOR_TABLE_08H	   //(vect = 0x08 )
#pragma interrupt INTP1         	VECTOR_TABLE_0AH	   //(vect = 0x0A )
#pragma interrupt INTP2         	VECTOR_TABLE_0CH	   //(vect = 0x0C )
#pragma interrupt INTP3         	VECTOR_TABLE_0EH	   //(vect = 0x0E )
#pragma interrupt INTP4         	VECTOR_TABLE_10H	   //(vect = 0x10 )
//                  INTSPM                                   //
#pragma interrupt INTP5     			VECTOR_TABLE_12H	   //(vect = 0x12 )
//                INTCMP0                                        //
#pragma interrupt INTCLM        	VECTOR_TABLE_14H	   //(vect = 0x14 )
#pragma interrupt INTCSI00      	VECTOR_TABLE_16H	   //(vect = 0x16 )
//                 INTIIC00                                 //
//                  INTST0                                   //
#pragma interrupt INTCSI01      	VECTOR_TABLE_18H	   //(vect = 0x18 )
//                  INTIIC01                                 //
//                  INTSR0                                   //
#pragma interrupt INTTRD0       	VECTOR_TABLE_1AH	   //(vect = 0x1A )
#pragma interrupt INTTRD1       	VECTOR_TABLE_1CH	   //(vect = 0x1C )
#pragma interrupt INTTRJ0       	VECTOR_TABLE_1EH	   //(vect = 0x1E )
#pragma interrupt INTRAM        	VECTOR_TABLE_20H	   //(vect = 0x20 )
#pragma interrupt INTLIN0TRM    	VECTOR_TABLE_22H	   //(vect = 0x22 )
#pragma interrupt INTLIN0RVC    	VECTOR_TABLE_24H	   //(vect = 0x24 )
#pragma interrupt INTLIN0       	VECTOR_TABLE_26H	   //(vect = 0x26 )
//                 INTLIN0STA                               //
#pragma interrupt INTIICA0      	VECTOR_TABLE_28H	   //(vect = 0x28 )
#pragma interrupt INTP8         	VECTOR_TABLE_2AH	   //(vect = 0x2A )
//                 INTRTC                                   //
#pragma interrupt INTTM00       	VECTOR_TABLE_2CH	   //(vect = 0x2C )
#pragma interrupt INTTM01       	VECTOR_TABLE_2EH	   //(vect = 0x2E )
#pragma interrupt INTTM02       	VECTOR_TABLE_30H	   //(vect = 0x30 )
#pragma interrupt INTTM03       	VECTOR_TABLE_32H	   //(vect = 0x32 )
#pragma interrupt INTAD         	VECTOR_TABLE_34H	   //(vect = 0x34 )
#pragma interrupt INTP6         	VECTOR_TABLE_36H	   //(vect = 0x36 )
//                  INTTM11H                                 //
#pragma interrupt INTP7         	VECTOR_TABLE_38H	   //(vect = 0x38 )
//                  INTTM13H                                 //
#pragma interrupt INTP9         	VECTOR_TABLE_3AH	   //(vect = 0x3A )
//                 INTTM01H                                 //
#pragma interrupt INTP10        	VECTOR_TABLE_3CH	   //(vect = 0x3C )
//                 INTTM03H                                 //
#pragma interrupt INTCSI10      	VECTOR_TABLE_3EH	   //(vect = 0x3E )
//                  INTIIC10                                 //
//                  INTST1                                   //
#pragma interrupt INTCSI11      	VECTOR_TABLE_40H	   //(vect = 0x40 )
//                  INTIIC11                                 //
//                  INTSR1                                   //
#pragma interrupt INTTM04       	VECTOR_TABLE_42H	   //(vect = 0x42 )
#pragma interrupt INTTM05       	VECTOR_TABLE_44H	   //(vect = 0x44 )
#pragma interrupt INTTM06       	VECTOR_TABLE_46H	   //(vect = 0x46 )
#pragma interrupt INTTM07       	VECTOR_TABLE_48H	   //(vect = 0x48 )
#pragma interrupt INTLIN0WUP    	VECTOR_TABLE_4AH	   //(vect = 0x4A )
//                  INTP11                                   //
#pragma interrupt INTKR         	VECTOR_TABLE_4CH	   //(vect = 0x4C )
#pragma interrupt INTCAN0ERR    	VECTOR_TABLE_4EH	   //(vect = 0x4E )
#pragma interrupt INTCAN0WUP    	VECTOR_TABLE_50H	   //(vect = 0x50 )
#pragma interrupt INTCAN0CFR    	VECTOR_TABLE_52H	   //(vect = 0x52 )
#pragma interrupt INTCAN0TRM    	VECTOR_TABLE_54H	   //(vect = 0x54 )
#pragma interrupt INTCANGRFR    	VECTOR_TABLE_56H	   //(vect = 0x56 )
#pragma interrupt INTCANGERR    	VECTOR_TABLE_58H	   //(vect = 0x58 )
#pragma interrupt INTTM10       	VECTOR_TABLE_5AH	   //(vect = 0x5A )
#pragma interrupt INTTM11       	VECTOR_TABLE_5CH	   //(vect = 0x5C )
#pragma interrupt INTTM12       	VECTOR_TABLE_5EH	   //(vect = 0x5E )
#pragma interrupt INTTM13       	VECTOR_TABLE_60H	   //(vect = 0x60 )
#pragma interrupt INTFL         	VECTOR_TABLE_62H	   //(vect = 0x62 )
//#pragma interrupt INTP12    	VECTOR_TABLE_64H	   //(vect = 0x64 )
//                 INTLIN1WUP                                   //
//#pragma interrupt INTLIN1TRM    	VECTOR_TABLE_66H	   //(vect = 0x66 )
//#pragma interrupt INTLIN1RVC    	VECTOR_TABLE_68H	   //(vect = 0x68 )
//#pragma interrupt INTLIN1       	VECTOR_TABLE_6AH	   //(vect = 0x6A )
//                  INTLIN1STA                               //
//#pragma interrupt INTTM14       	VECTOR_TABLE_6CH	   //(vect = 0x6C )
//#pragma interrupt INTTM15       	VECTOR_TABLE_6EH	   //(vect = 0x6E )
//#pragma interrupt INTTM16       	VECTOR_TABLE_70H	   //(vect = 0x70 )
//#pragma interrupt INTTM17       	VECTOR_TABLE_72H	   //(vect = 0x72 )
//#pragma interrupt	VECTOR_TABLE_74H	   (vect = 0x74 )
//#pragma interrupt	VECTOR_TABLE_76H	   (vect = 0x76 )
//#pragma interrupt	VECTOR_TABLE_78H	   (vect = 0x78 )
//#pragma interrupt	VECTOR_TABLE_7AH	   (vect = 0x7A )
//#pragma interrupt	VECTOR_TABLE_7CH	   (vect = 0x7C )
#pragma interrupt_brk	VECTOR_TABLE_7EH

#include "boot_macrodriver.h"
#include "ftable.h"

extern void r_wdt_interrupt(void);
extern void r_tau0_channel4_interrupt(void);
extern void RSCAN_INTCANGERR_interrupt  (void);
extern void RSCAN_INTCANGRECC_interrupt (void);
extern void RSCAN_INTCAN0ERR_interrupt  (void);
extern void RSCAN_INTCAN0REC_interrupt  (void);
extern void RSCAN_INTCAN0TRX_interrupt  (void);


static void __near VECTOR_TABLE_04H(void)
{
	if(KamData.RunAir == RUN_IN_BOOT)
		r_wdt_interrupt();
	else
			((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x04 *2)))();
}
static void __near VECTOR_TABLE_06H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x06 *2)))();}
static void __near VECTOR_TABLE_08H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x08 *2)))();}
static void __near VECTOR_TABLE_0AH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x0A *2)))();}
static void __near VECTOR_TABLE_0CH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x0C *2)))();}
static void __near VECTOR_TABLE_0EH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x0E *2)))();}
static void __near VECTOR_TABLE_10H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x10 *2)))();}
static void __near VECTOR_TABLE_12H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x12 *2)))();}
static void __near VECTOR_TABLE_14H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x14 *2)))();}
static void __near VECTOR_TABLE_16H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x16 *2)))();}
static void __near VECTOR_TABLE_18H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x18 *2)))();}
static void __near VECTOR_TABLE_1AH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x1A *2)))();}
static void __near VECTOR_TABLE_1CH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x1C *2)))();}
static void __near VECTOR_TABLE_1EH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x1E *2)))();}
static void __near VECTOR_TABLE_20H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x20 *2)))();}
static void __near VECTOR_TABLE_22H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x22 *2)))();}
static void __near VECTOR_TABLE_24H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x24 *2)))();}
static void __near VECTOR_TABLE_26H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x26 *2)))();}
static void __near VECTOR_TABLE_28H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x28 *2)))();}
static void __near VECTOR_TABLE_2AH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x2A *2)))();}
static void __near VECTOR_TABLE_2CH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x2C *2)))();}
static void __near VECTOR_TABLE_2EH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x2E *2)))();}
static void __near VECTOR_TABLE_30H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x30 *2)))();}
static void __near VECTOR_TABLE_32H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x32 *2)))();}
static void __near VECTOR_TABLE_34H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x34 *2)))();}
static void __near VECTOR_TABLE_36H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x36 *2)))();}
static void __near VECTOR_TABLE_38H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x38 *2)))();}
static void __near VECTOR_TABLE_3AH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x3A *2)))();}
static void __near VECTOR_TABLE_3CH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x3C *2)))();}
static void __near VECTOR_TABLE_3EH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x3E *2)))();}
static void __near VECTOR_TABLE_40H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x40 *2)))();}

static void __near VECTOR_TABLE_42H(void)
{
	if(KamData.RunAir == RUN_IN_BOOT)
		r_tau0_channel4_interrupt();
	else
		((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x42 *2)))();
}
static void __near VECTOR_TABLE_44H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x44 *2)))();}
static void __near VECTOR_TABLE_46H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x46 *2)))();}
static void __near VECTOR_TABLE_48H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x48 *2)))();}
static void __near VECTOR_TABLE_4AH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x4A *2)))();}
static void __near VECTOR_TABLE_4CH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x4C *2)))();}
static void __near VECTOR_TABLE_4EH(void)
{
	if(KamData.RunAir == RUN_IN_BOOT)
		RSCAN_INTCAN0ERR_interrupt();
	else
		((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x4E *2)))();
}
static void __near VECTOR_TABLE_50H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x50 *2)))();}
static void __near VECTOR_TABLE_52H(void)
{
	if(KamData.RunAir == RUN_IN_BOOT)
		RSCAN_INTCAN0REC_interrupt();
	else
		((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x52 *2)))();
}
static void __near VECTOR_TABLE_54H(void)
{
	if(KamData.RunAir == RUN_IN_BOOT)
		RSCAN_INTCAN0TRX_interrupt();
	else
		((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x54 *2)))();
}
static void __near VECTOR_TABLE_56H(void)
{
	if(KamData.RunAir == RUN_IN_BOOT)
		RSCAN_INTCANGRECC_interrupt();
	else
		((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x56 *2)))();
}

static void __near VECTOR_TABLE_58H(void)
{
	if(KamData.RunAir == RUN_IN_BOOT)
		RSCAN_INTCANGERR_interrupt();
	else
		((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x58 *2)))();
}

static void __near VECTOR_TABLE_5AH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x5A *2)))();}
static void __near VECTOR_TABLE_5CH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x5C *2)))();}
static void __near VECTOR_TABLE_5EH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x5E *2)))();}
static void __near VECTOR_TABLE_60H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x60 *2)))();}
static void __near VECTOR_TABLE_62H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x62 *2)))();}
static void __near VECTOR_TABLE_64H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x64 *2)))();}
static void __near VECTOR_TABLE_66H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x66 *2)))();}
static void __near VECTOR_TABLE_68H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x68 *2)))();}
static void __near VECTOR_TABLE_6AH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x6A *2)))();}
static void __near VECTOR_TABLE_6CH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x6C *2)))();}
static void __near VECTOR_TABLE_6EH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x6E *2)))();}
static void __near VECTOR_TABLE_70H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x70 *2)))();}
static void __near VECTOR_TABLE_72H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x72 *2)))();}
static void __near VECTOR_TABLE_74H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x74 *2)))();}
static void __near VECTOR_TABLE_76H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x76 *2)))();}
static void __near VECTOR_TABLE_78H(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x78 *2)))();}
static void __near VECTOR_TABLE_7AH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x7A *2)))();}
static void __near VECTOR_TABLE_7CH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x7C *2)))();}
static void __near VECTOR_TABLE_7EH(void){((__far void(*)(void))(*(__far unsigned long *)(FLASH_TABLE + 0x7E *2)))();}




